module AnchorUi
  class LayoutGenerator < Rails::Generators::NamedBase
    source_root File.expand_path('../templates', __FILE__)

    def generate_layout
      template "layouts/anchor_ui.html.erb", "app/views/layouts/#{name}.html.erb"
      template "layouts/_header.html.erb", "app/views/layouts/_header.html.erb"
      template "layouts/_footer.html.erb", "app/views/layouts/_footer.html.erb"
      template "layouts/_left_sidebar.html.erb", "app/views/layouts/_left_sidebar.html.erb"
      template "layouts/_right_sidebar.html.erb", "app/views/layouts/_right_sidebar.html.erb"
      template "layouts/_breadcrumbs.html.erb", "app/views/layouts/_breadcrumbs.html.erb"
    end

  end
end
